PDF Pro Plugin - Defect #617

Locked file after using plugins.servoyguy_ pdf_pro.deletePages(inputFile,pagesToDelete)

12/31/2012 08:46 AM - Juan Ramirez

Status: Resolved Start date:
Priority: Normal Due date:
Assignee: Imre Tokai % Done:
Category: Estimated time:

Target version:

Browser (if web
client):

Description

The funtion plugins.servoyguy_pdf_pro.deletePages(inputFile,pagesToDelete)works fine but after that it locked the inputFile.

If you try to delete that file you cannot, you need to restart the PC.
best regards

Juan Ramirez

History

#1 - 01/04/2013 04:24 PM - Imre Tokai
- File servoyguy pdf pro.zip added
- Status changed from New to In Progress

- Assignee set to Imre Tokai

Test attached version like below, please

//Delete pages from the PDF.

var pdf = plugins.file.showFileOpenDialog()

var pgs = new Array()

pgs[0] =5

pgs[1] =2

var modifiedPdf = plugins.servoyguy_pdf_pro.deletePages( pdf, pgs )
application.showURL('file:/// + modifiedPdf)

Wish you happy and bug-less New Year!

#2 - 01/04/2013 05:51 PM - Juan Ramirez
Ok its works perfect.

Thanks

#3 - 01/07/2013 08:57 AM - Imre Tokai

- Status changed from In Progress to Resolved

Files

servoyguy_pdf_pro.zip 9.03 MB

04/28/2025

01/04/2013

1/1

Imre Tokai
